import { select, json, geoPath, geoNaturalEarth1} from 'd3';//importing the json libraries
import {feature} from 'topojson';//To import the topojson file 

const svg = select('svg');// To get svg image

const width = +svg.attr('width');// svg image width
const height = +svg.attr('height');// svg image height

const projection = geoNaturalEarth1();//To call the geoNaturalEarth function
const pathGenerator = geoPath().projection(projection);

svg.append('path')//To append the path of world map
		.attr('class', 'sphere')// To get shape of the map
		.attr('d', pathGenerator({type: 'Sphere'}));//To get attribute sphere
//The below link is with country names and the coordinates for the world map with json data
json('https://gist.githubusercontent.com/Tulluripallavi/2ec48842382b2f85e954134fc74b7d40/raw/58c2259158766fc76f88af723d9579f8d3603090/worlddata.json')
		.then(data => {//for displaying the countries
  			const countries = feature(data, data.objects.countries);
  // below lines are used to print the world map with its respective boundries
  			svg.selectAll('path')
        		.data(countries.features)
  					.enter().append('path')
  					.attr('class', 'country')
  					.attr('d', pathGenerator)
		});









